server:
  port: 8000
  
spring:
  application:
    name: gateway-web

eureka:
  client:
    registry-fetch-interval-seconds: 5
    serviceUrl:
      defaultZone: http://admin:admin123@localhost:8761/eureka/eureka/
    instance: 
      lease-renewal-interval-in-seconds: 5

ribbon:
  eureka:
    enable: true
  ReadTimeout: 10000
  SocketTimeout: 3000      

### 配置网关反向代理    
zuul:
  routes:
    api-auth:
      ### 以 /api-auth/访问转发到会员服务
      path: /api-auth/**
      serviceId: auth-server
      #url: http://localhost:8001/
      ##加上下面参数，可将header信息传递至下游
      #sensitiveHeaders: 
    api-task:
      ### 以 /api-auth/访问转发到会员服务
      path: /api-task/**
      serviceId: task-server
      #url: http://localhost:8001/
      ##加上下面参数，可将header信息传递至下游
      #sensitiveHeaders: 
    api-cms:
      ### 以 /api-auth/访问转发到会员服务
      path: /api-cms/**
      serviceId: cms-server
      #url: http://localhost:8001/
      ##加上下面参数，可将header信息传递至下游
      #sensitiveHeaders: 
    api-web:
      path: /api-web/**
      serviceId: web-server
    api-teacher:
      path: /api-teacher/**
      serviceId: teacher-server
    api-student:
      path: /api-student/**
      serviceId: student-server
    api-education:
      path: /api-education/**
      serviceId: education-server
  #忽略某个微服务
  ignored-services: eureka-server
  #重试
  retryable: false
  #请求处理超时--只针对url的路由
  ReadTimeout: 60000
  #连接超时--只针对url的路由
  ConnectTimeout: 10000
  sensitiveHeaders: 
  
hystrix: 
  command: 
    default: 
      execution: 
        isolation: 
          thread: 
            timeoutInMilliseconds: 6000
            
            
#spring boot admin 相关配置
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS